package cn.hmsoft.hmplatform.wxtoken.data.model;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**********************************************
 * 微信公众号（小程序）定义表
 * 
 * @author: zxq
 * @date: 2020-04-30 19:28:59
 * @version: 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "P_WX_DEFINE", keyColumn = "TOKEN_ID", sequenceName = "WX_ID")
public class PWxDefine implements Serializable {
	private static final long serialVersionUID = 6030942864906421645L;
	// 微信内部编号
	private Integer token_id;
	// 微信公众号
	private String app_id;
	// 微信公众号密钥
	private String app_secrect;
	// 微信公众号密钥，消息加密
	private String app_aeskey;
	// 微信图标文件
	private String app_qrcode;
	// App默认Token
	private String app_accesstokenkey;
	// app实时的access_token
	private String app_accesstoken;
	// token超时时间
	private LocalDateTime app_token_expired;
	// JSAPI需要使用的Ticket
	private String app_jsapi;
	// 是否启用
	private String app_status;
	// 是否记录用户日志
	private String record_user_log;
	// 原始微信号
	private String wx_code;
	// 哪个系统使用，空为所有系哦他能够
	private String app_name;
	// 微信公众号主体
	private String wx_name;
	// 微信类型
	private String wx_type;
	// 创建时间
	private LocalDateTime app_create_time;
	// 更新时间
	private LocalDateTime app_update_time;
	// 请求token时间
	private LocalDateTime app_token_time;

	/****
	 * 微信内部编号
	 */
	public Integer getToken_id() {
		return this.token_id;
	}

	/****
	 * 微信内部编号
	 */
	public void setToken_id(Integer token_id) {
		this.token_id = token_id;
	}

	/****
	 * 微信公众号
	 */
	public String getApp_id() {
		return this.app_id;
	}

	/****
	 * 微信公众号
	 */
	public void setApp_id(String app_id) {
		this.app_id = app_id;
	}

	/****
	 * 微信公众号密钥
	 */
	public String getApp_secrect() {
		return this.app_secrect;
	}

	/****
	 * 微信公众号密钥
	 */
	public void setApp_secrect(String app_secrect) {
		this.app_secrect = app_secrect;
	}

	/****
	 * 微信公众号密钥，消息加密
	 */
	public String getApp_aeskey() {
		return this.app_aeskey;
	}

	/****
	 * 微信公众号密钥，消息加密
	 */
	public void setApp_aeskey(String app_aeskey) {
		this.app_aeskey = app_aeskey;
	}

	/****
	 * 微信图标文件
	 */
	public String getApp_qrcode() {
		return this.app_qrcode;
	}

	/****
	 * 微信图标文件
	 */
	public void setApp_qrcode(String app_qrcode) {
		this.app_qrcode = app_qrcode;
	}

	/****
	 * App默认Token
	 */
	public String getApp_accesstokenkey() {
		return this.app_accesstokenkey;
	}

	/****
	 * App默认Token
	 */
	public void setApp_accesstokenkey(String app_accesstokenkey) {
		this.app_accesstokenkey = app_accesstokenkey;
	}

	/****
	 * app实时的access_token
	 */
	public String getApp_accesstoken() {
		return this.app_accesstoken;
	}

	/****
	 * app实时的access_token
	 */
	public void setApp_accesstoken(String app_accesstoken) {
		this.app_accesstoken = app_accesstoken;
	}

	/****
	 * token超时时间
	 */
	public LocalDateTime getApp_token_expired() {
		return this.app_token_expired;
	}

	/****
	 * token超时时间
	 */
	public void setApp_token_expired(LocalDateTime app_token_expired) {
		this.app_token_expired = app_token_expired;
	}

	/****
	 * JSAPI需要使用的Ticket
	 */
	public String getApp_jsapi() {
		return this.app_jsapi;
	}

	/****
	 * JSAPI需要使用的Ticket
	 */
	public void setApp_jsapi(String app_jsapi) {
		this.app_jsapi = app_jsapi;
	}

	/****
	 * 是否启用
	 */
	public String getApp_status() {
		return this.app_status;
	}

	/****
	 * 是否启用
	 */
	public void setApp_status(String app_status) {
		this.app_status = app_status;
	}

	/****
	 * 是否记录用户日志
	 */
	public String getRecord_user_log() {
		return this.record_user_log;
	}

	/****
	 * 是否记录用户日志
	 */
	public void setRecord_user_log(String record_user_log) {
		this.record_user_log = record_user_log;
	}

	/****
	 * 原始微信号
	 */
	public String getWx_code() {
		return this.wx_code;
	}

	/****
	 * 原始微信号
	 */
	public void setWx_code(String wx_code) {
		this.wx_code = wx_code;
	}

	/****
	 * 哪个系统使用，空为所有系哦他能够
	 */
	public String getApp_name() {
		return this.app_name;
	}

	/****
	 * 哪个系统使用，空为所有系哦他能够
	 */
	public void setApp_name(String app_name) {
		this.app_name = app_name;
	}

	/****
	 * 微信公众号主体
	 */
	public String getWx_name() {
		return this.wx_name;
	}

	/****
	 * 微信公众号主体
	 */
	public void setWx_name(String wx_name) {
		this.wx_name = wx_name;
	}

	/****
	 * 微信类型
	 */
	public String getWx_type() {
		return this.wx_type;
	}

	/****
	 * 微信类型
	 */
	public void setWx_type(String wx_type) {
		this.wx_type = wx_type;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getApp_create_time() {
		return this.app_create_time;
	}

	/****
	 * 创建时间
	 */
	public void setApp_create_time(LocalDateTime app_create_time) {
		this.app_create_time = app_create_time;
	}

	/****
	 * 更新时间
	 */
	public LocalDateTime getApp_update_time() {
		return this.app_update_time;
	}

	/****
	 * 更新时间
	 */
	public void setApp_update_time(LocalDateTime app_update_time) {
		this.app_update_time = app_update_time;
	}

	/****
	 * 请求token时间
	 */
	public LocalDateTime getApp_token_time() {
		return this.app_token_time;
	}

	/****
	 * 请求token时间
	 */
	public void setApp_token_time(LocalDateTime app_token_time) {
		this.app_token_time = app_token_time;
	}

}